### Method

# GObject Value dup_boxed

#### Declaration

    gpointer
    g_value_dup_boxed (
      const GValue* value
    )

#### Description

Get the contents of a `G_TYPE_BOXED` derived `GValue`. Upon getting, the boxed value is duplicated and needs to be later freed with g_boxed_free(), e.g. like: g_boxed_free (G_VALUE_TYPE (`value`), return_value);.

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

Boxed contents of `value`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.